Query configurations - Account money - Mercado Pago Developers
Consult configurations

This endpoint allows you to query the current configuration of your reports. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/account/settlement_report/config
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Response parameters
file_name_prefix
string
Prefix that composes the report name once generated and ready for download, not allowing empty or null values.
display_timezone
string
This field sets the date and time displayed in the reports. In the absence of a specific time zone configuration, the system defaults to GMT-04. For time zones subject to daylight saving time, manual adjustments will be ...View more
include_withdrawal_at_end
boolean
Indicates whether withdrawal transactions made at the end of the date range should be included.
scheduled
boolean
Informative field indicating whether there are already scheduled reports in the user's account. It will be 'true' if automatic generation is enabled, and 'false' if it is disabled.
Errors

401Unauthorized.

Invalid token

Invalid token.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/account/settlement_report/config'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
{
  "file_name_prefix": "settlement-report-USER_ID",
  "display_timezone": "GMT-04",
  "include_withdrawal_at_end": true,
  "scheduled": false,
  "execute_after_withdrawal": false,
  "columns": [
    {
      "key": "SOURCE_ID"
    }
  ],
  "report_translation": "es",
  "frequency": {
    "hour": 0,
    "value": 1,
    "type": "monthly",
    "shipping_detail": true,
    "coupon_detailed": true,
    "show_chargeback_cancel": true,
    "show_fee_prevision": true
  }
}